create table fad_oa.sys_oa_contract
(
    contract_id     bigint                   not null comment '合同ID'
        primary key,
    project_id      bigint                   null comment '项目id',
    contract_num    varchar(64)  default ''  null comment '合同编号',
    contract_name   varchar(126) default ''  null comment '项目名称',
    first_name      varchar(64)  default ''  null comment '甲方名称',
    first_person    varchar(32)  default ''  null comment '甲方负责人',
    first_phone     varchar(16)  default ''  null comment '甲方电话',
    second_name     varchar(64)  default ''  null comment '乙方名称',
    second_person   varchar(32)  default ''  null comment '乙方负责人',
    second_phone    varchar(16)  default ''  null comment '乙方电话',
    contract_price  varchar(64)              null comment '合同金额',
    sign_time       datetime                 null comment '签订日期',
    validity        varchar(64)  default ''  null comment '有效期',
    contract_type   char         default '0' null comment '合同类型:1采购合同,2项目合同',
    contract_status char         default '0' null comment '状态（0进行中 1完结）',
    accessory       text                     null comment '附件',
    remark          varchar(256)             null comment '备注',
    create_by       varchar(32)  default ''  null comment '创建者',
    create_time     datetime                 null comment '创建时间',
    update_by       varchar(32)  default ''  null comment '更新者',
    update_time     datetime                 null comment '更新时间'
)
    comment '合同表' charset = utf8mb4;

